import syslog


class Logger(object):
    def log(data):
        syslog.syslog(syslog.LOG_INFO, data)
        if Logger.debugFlag:
            print data

    def debug(data):
        syslog.syslog(syslog.LOG_DEBUG, data)
        if Logger.debugFlag:
            print data

    def openlog():
        syslog.openlog('hsc', syslog.LOG_PID, syslog.LOG_LOCAL0)

    def debugEnable():
        Logger.debugFlag = True

    log = staticmethod(log)
    debug = staticmethod(debug)
    openlog = staticmethod(openlog)
    debugEnable = staticmethod(debugEnable)
    debugFlag = False

